package com.ruoyi.zongzhi.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 数据来源统计表(TcDataSourceTj)表实体类
 *
 * @author wu
 * @since 2023-09-12 14:55:53
 */
@Data
@ApiModel("数据来源统计表实体类")
@TableName(value = "tc_data_source_tj")
public class TcDataSourceTj implements Serializable {

    private static final long serialVersionUID = 304828068144976883L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 云端监测(G)
     */
    @ApiModelProperty(value = "云端监测(G)")
    private String lable1;

    /**
     * APT(M)
     */
    @ApiModelProperty(value = "APT(M)")
    private String lable2;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    /**
     * 创建人名称
     */
    @ApiModelProperty(value = "创建人名称")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date createTime;

    /**
     * 最后更新人id
     */
    @ApiModelProperty(value = "最后更新人id")
    private Long updateId;

    /**
     * 最后更新人名称
     */
    @ApiModelProperty(value = "最后更新人名称")
    private String updateBy;

    /**
     * 最后更新时间
     */
    @ApiModelProperty(value = "最后更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}

